LFR-FSW - Bug #483

SY_LFR_S1_BP_P0 = 63.75(s), SY_LFR_S1_BP_P1 = 255(s) make trouble in SBM1/NORMAL
11/08/2015 04:20 PM - Veronique bouzid

Status: Closed Start date: 11/08/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Les 2 parametres SY_LFR_S1_BP_PO0 et SY_LFR_S1_BP_P1 peuvent etre positionné a 0xff (255).
Pour SY_LFR_S1_BP_PO, 1 unité = 0,25s et cela donne donc 63.75s.

Le soft de vol l'accepte.

14:49:00.336886, TC_LFR_LOAD_SBM1_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=7,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_SBM1_PARAMETERS = 25, SOURCE_ID: MISSION_TIMELINE =
110,* SY_LFR_S1_BP_P0 =63.75(s), SY_LFR_S1_BP_P1 = 255(s)*, CRC = 0x3eb3

14:49:00.339949, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=29,
(PACKET_SEQUENCE_CONTROL=0xc01d), PACKET_LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS =7,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x800009b8c20f, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xc000

TM_LFR_PARAMETER_DUMP montre également la prise en compte des valeurs.

Cette configuration induit les dysfonctionnements suivants:

- aucun TM_LFR_SCIENCE_SBM1_BP1_F0 et TM_LFR_SCIENCE_SBM1_BP2_F0 n'est généré.

- les TM_LFR_SCIENCE_NORMAL_BP1_Fi et TM_LFR_SCIENCE_NORMAL_BP2_Fi ne respectent plus leur periodicité (4s et
20s).

TM_LFR_SCIENCE_NORMAL_BP1_Fi

14:49:05.622981, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x800009b9fa3f --> tjs le meme temps
14:49:05.673179, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800009b9fa42

14:49:57.070464, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800009b9fb27

14:49:59.623401, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800009f13a26

14:49:59.663448, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800009&ffb0c

14:50:00.763975, TM_LFR_SCIENCE_NORMAL_BP1_FO0, TIME=0x800009b9fa3f

14:50:52.625093, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800009{3fb0a

14:50:54.122773, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800009{3fa24

14:50:55.929873, TM_LFR_SCIENCE_NORMAL_BP1_FO0, TIME=0x800009b9fa3f

TM_LFR_SCIENCE_NORMAL_BP2_Fi

14:51:50.631635, TM_LFR_SCIENCE_NORMAL_BP2_F2, TIME=0x80000a5efad0
14:52:45.128414, TM_LFR_SCIENCE_NORMAL_BP2_F1, TIME=0x80000a61f9e9
14:52:48.351597, TM_LFR_SCIENCE_NORMAL_BP2_F0, TIME=0x800009b9fa3f
14:55:33.629441, TM_LFR_SCIENCE_NORMAL_BP2_F2, TIME=0x80000b0bfa7c
14:56:30.627825, TM_LFR_SCIENCE_NORMAL_BP2_F1, TIME=0x80000b43797d
14:57:29.594008, TM_LFR_SCIENCE_NORMAL_BP2_F0, TIME=0x800009b9fa3f
14:58:25.664264, TM_LFR_SCIENCE_NORMAL_BP2_F2, TIME=0x80000be9fa10
15:00:16.626657, TM_LFR_SCIENCE_NORMAL_BP2_F1, TIME=0x80000c25790c

Le fichier de log (2015_08_11-15_16_59-Detail.txt) se trouve dans /home/validation/data/R3/3.0.0.8/1.1.88/SVS-0031.

Le script utilisé est /opt/VALIDATION_RS/Ifrverif/LFR_SVS/SVS-0031/sbm1_mode_parameter_set.py.
Ce fonctionnement étant loin d'etre utilisé,
- soit on trouve le bug (un ecrasement de memoire)
- soit dans I'lCD on met a jour le domaine de définition pour eliminer le pb.

Contexte du test

FSW 3.0.0.8

VHDL 1.1.88

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

History

#1 - 28/09/2015 04:12 PM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

Bug identifié et corrigé dans fsw >= 3.0.0.9.

#2 - 03/10/2015 01:07 PM - Veronique bouzid

- Assignee changed from Veronique bouzid to paul leroy

Le bug est partiellement corrigé.

1- Maintenant les produits TM_LFR_SCIENCE_SBM1_BP1_F0 et TM_LFR_SCIENCE_SBM1_BP2_F0 sont générés.
je rappelle que SY_LFR_S1_BP_P0 = 63.75(s), SY_LFR_S1_BP_P1 = 255(s)

Voici la trace
15:04:38.903836, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)
15:04:38.922368, TM_LFR_TC_EXE_SUCCESS, TIME=0x800009ba6f9c

15:06:46.467133, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x80000a366f6e

15:07:50.200355, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x80000a766f56

15:08:53.971725, TM_LFR_SCIENCE_SBM1_BP1_FO0, TIME=0x80000ab66f3d

15:08:53.979695, TM_LFR_SCIENCE_SBM1_BP2_F0, TIME=0x80000ab66f3d --> EST GE BON ????
15:09:57.701558, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x80000af66f26

15:11:01.466338, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x80000b366f0f

15:12:05.257192, TM_LFR_SGCIENCE_SBM1_BP1_FO0, TIME=0x80000b766ef8

15:13:08.971312, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x80000bb66ee2

15:13:08.975056, TM_LFR_SCIENCE_SBM1_BP2_FO0, TIME=0x80000bb66ee2

--> Paul peux-tu vérifier que

- le timing du 1er BP1 est correct

- le timing du 1er BP2 est correct

- la periodicité entre chaque BP1 est correcte
- la periodicité entre chaque BP2 est correcte

Le delta t entre 2 BP1 doit etre sur le coarse time de 3F et de C000 sur le fine time
Le delta t entre 2 BP2 doit etre sur le coarse time de FF et de 0000 sur le fine time

Quand au deuxieme probleme

les TM_LFR_SCIENCE_NORMAL_BP1_Fi et TM_LFR_SCIENCE_NORMAL_BP2_Fi ne respectent plus leur periodicité (4s et 20s).

le BUG est toujours présent sur FO (TM_LFR_SCIENCE_NORMAL_BP1_F0, TM_LFR_SCIENCE_NORMAL_BP2_FO0,
TM_LFR_SCIENCE_NORMAL_ASM_FO0)

15:04:38.903836, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)
15:04:38.922368, TM_LFR_TC_EXE_SUCCESS, TIME=0x800009ba6f9c

premiers produits normal mode

15:04:42.970869, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x800009ba6f9b
15:04:42.99171, TM_LFR_SCIENCE_NORMAL_ASM_FO0, TIME=0x800009ba6f9b
15:04:42.9977, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:43.011878, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:43.023148, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800009ba6fa0
15:04:43.026331, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009ba6fa0
15:04:43.040139, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009ba6fa0
15:04:43.046654, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009ba6fa0
15:04:43.051328, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800009ba7085
15:04:43.061548, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009ba7085
15:04:43.067344, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009ba7085
15:04:43.072546, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009ba7085

2eme

15:04:46.970964, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x800009ba6f9b meme temps que le précédent
15:04:46.991783, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:46.99774, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:47.011908, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:47.023314, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800009be6f9f correct
15:04:47.026559, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009be6fof
15:04:47.040419, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009be6fof
15:04:47.046865, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009be6f9f
15:04:47.051557, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800009be7084
15:04:47.061755, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009be7084
15:04:47.067534, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009be7084
15:04:47.072753, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009be7084

3eme

15:04:50.970954, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x800009ba6f9b meme temps que le précédent = temps du premier
15:04:50.991719, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:50.997773, TM_LFR_SCIENCE_NORMAL_ASM_FO0, TIME=0x800009ba6f9b
15:04:51.012023, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:51.023368, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800009c26f9d correct
15:04:51.026553, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009¢c26f9d
15:04:51.040282, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009¢c26f9d
15:04:51.046839, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009¢c26f9d
15:04:51.051523, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800009c27082
15:04:51.061757, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009¢27082
15:04:51.067534, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009¢c27082
15:04:51.072727, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009¢c27082

4eme

15:04:58.972963, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x800009ba6f9b idem precedent
15:04:58.991744, TM_LFR_SCIENCE_NORMAL_BP2_F0, TIME=0x800009ba6f9b
15:04:59.005625, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:59.011415, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:59.015771, TM_LFR_SCIENCE_NORMAL_ASM_F0, TIME=0x800009ba6f9b
15:04:59.020055, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800009ca6f9a correct
15:04:59.02887, TM_LFR_SCIENCE_NORMAL_BP2_F1, TIME=0x800009ca6f9a
15:04:59.034328, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009ca6f9a
15:04:59.048901, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009ca6{9a
15:04:59.055082, TM_LFR_SCIENCE_NORMAL_ASM_F1, TIME=0x800009ca6f9a
15:04:59.061997, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x800009ca7080
15:04:59.063133, TM_LFR_SCIENCE_NORMAL_BP2_F2, TIME=0x800009ca7080
15:04:59.073789, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009ca7080
15:04:59.079552, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009ca7080
15:04:59.093292, TM_LFR_SCIENCE_NORMAL_ASM_F2, TIME=0x800009ca7080

Les fichiers (2015_10_02-15_28_34*) sont rangés dans le répertoire data/R3/3.0.0.9/1.1.89/SVS-0031.

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#3 - 05/10/2015 09:58 AM - paul leroy
Les temps ne sont pas bons. J'ai refait des tests et j'ai trouvé le bug (qui est apparu suite a la correction de #485), normalement c'est corrigé pour la

version 3.0.0.10.

#4 - 05/10/2015 09:58 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#5 - 04/11/2015 06:19 AM - Veronique bouzid
- Status changed from Feedback to Closed

Bug corrigé en 3.0.0.10.

Les fichiers de tests (2015_10_08-10_26_15%) se trouvent dans /home/validation/data/R3/3.0.0.10/1.1.89/SVS-0031.
https://hephaistos.lpp.polytechnique.fr/redmine/issues/485

Tous les produits SBM1 et NORMAL mode sont correctement générés en fonction des parametres de configuration demandés.

Contexte du test

Fsw :3.0.0.10

VHDL: 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
